Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.experiment
Class Treatment

    java.lang.Object
      nl.tudelft.simulation.event.EventProducer
          nl.tudelft.simulation.dsol.experiment.Treatment

All Implemented Interfaces:
  nl.tudelft.simulation.event.EventProducerInterface, java.io.Serializable

public class Treatment
extends nl.tudelft.simulation.event.EventProducer

The treatment is comprises the specification of input data, the runControl and the specification of output data. (Sol:1982, Oeren&Zeigler:1979)
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  2.0 21.09.2003
Author:
  Peter Jacobs , Alexander Verbraeck
See Also:
  Serialized Form

Field Summary

Fields inherited from class nl.tudelft.simulation.event.EventProducer
`listeners`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Constructor Summary
`Treatment(Experiment experiment, int number)` contructs a Treatment

Method Summary
`Experiment` | `getExperiment()` returns the experiment
`int` | `getNumber()` returns the number of this replication
`java.util.Properties` | `getProperties()` returns the properties for this treatment
`RunControl` | `getRunControl()` returns the RunControl
`long` | `getStartTime()` returns the startTime
`TimeUnitInterface` | `getTimeUnit()` returns the timeUnit
`void` | `setProperties(java.util.Properties properties)` sets the properties
`void` | `setRunControl(RunControl runControl)` sets the RunControl
`void` | `setStartTime(long startTime)` sets the startTime of the treatment
`void` | `setTimeUnit(TimeUnitInterface timeUnit)` sets the timeUnit of the treatment
`java.lang.String` | `toString()`

Methods inherited from class nl.tudelft.simulation.event.EventProducer
`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, getEventTypes, removeAllListeners, removeAllListeners, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Treatment

    public Treatment(Experiment experiment,
                     int number)

  contructs a Treatment

Parameters:
  `experiment` - reflects the experiment
  `number` - the number of this treatment

Method Detail

### getNumber

    public int getNumber()

  returns the number of this replication

  Returns:
    int the number

### getExperiment

    public Experiment getExperiment()

  returns the experiment

  Returns:
    Experiment the experiment

### getProperties

    public java.util.Properties getProperties()

  returns the properties for this treatment

  Returns:
    Properties

### getRunControl

    public RunControl getRunControl()

  returns the RunControl

  Returns:
    RunControl the runControl

### getStartTime

    public long getStartTime()

  returns the startTime

  Returns:
    long the startTime

### getTimeUnit

    public TimeUnitInterface getTimeUnit()

  returns the timeUnit

  Returns:
    timeUnit

### setProperties

    public void setProperties(java.util.Properties properties)

  sets the properties

  Parameters:
    `properties` - the properties

### setRunControl

    public void setRunControl(RunControl runControl)

  sets the RunControl

  Parameters:
    `runControl` - the control.

### setStartTime

    public void setStartTime(long startTime)

  sets the startTime of the treatment

  Parameters:
    `startTime` - reflects the startTime

### setTimeUnit

    public void setTimeUnit(TimeUnitInterface timeUnit)

  sets the timeUnit of the treatment

  Parameters:
    `timeUnit` - is the timeunit

### toString

    public java.lang.String toString()

  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.